<?php
$taourl = "top100.json";
$data =  json_decode(file_get_contents($taourl),true);
$list = $data['data']['list'];
?>
<!DOCTYPE html>
<html>
	<head>
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<meta charset="utf-8">
		<title></title>
		<script src="/js/jquery.min.js"></script>
		<script src="/js/unslider-opt.js"></script>
		<style>
		.unslider{overflow:auto;margin:0;padding:0}.unslider-wrap{position:relative}.unslider-wrap.unslider-carousel li{float:left}.unslider-vertical>ul{height:100%}.unslider-vertical li{float:none;width:100%}.unslider-fade{position:relative}.unslider-fade .unslider-wrap li{position:absolute;left:0;top:0;right:0;z-index:8}.unslider-fade .unslider-wrap li.unslider-active{z-index:10}.unslider li,.unslider ol,.unslider ul{list-style:none;margin:0;padding:0;border:none}.unslider-arrow{position:absolute;left:20px;z-index:2;cursor:pointer}.unslider-arrow.next{left:auto;right:20px}
		body{margin: 0;padding: 0;border: 0;}
		.banner{font-family: '微软雅黑', 'sans-serif';font-size: 14px;width: 777px;height: 90px;position: relative;overflow: auto;font-weight:lighter}
		.banner li{list-style: none;}
		.banner ul li{height: 90px;float: left;}
		.item{color: #000000;text-decoration:none;height: 90px;float: left;width: 33%;display: flex}
		.item img{width: 90px;height: 90px;margin-right: 5px;border-radius:3px;}
		.item img:hover{transform: translateY(-4px);-webkit-transform: translateY(-4px);-moz-transform: translateY(-4px);-o-transform: translateY(-4px);box-shadow: 0 4px 10px rgba(0,0,0,0.5);}
		.item .title{text-overflow: -o-ellipsis-lastline;overflow: hidden;text-overflow: ellipsis;display: -webkit-box;-webkit-line-clamp: 2;line-clamp: 2;-webkit-box-orient: vertical;}
		.item .free{background-color: #fc4f05;color: #ffffff;padding: 1px;margin-right: 3px;border-radius: 20%;}
		.item .info{position:relative;width: 150px;}
		.item .sale{color: #a0a0a0;line-height: 28px;}
		.item .coupon{position:absolute;left:0;bottom:0;}
		.item .coupon_border{border-radius: 3px;border: #fc4f05 solid 1px;display: inline-block;font-size:12px;}
		.item .coupon_text{background-color: #fc4f05;color: #ffffff;padding: 1px 3px;}
		.item .coupon_amount{color: #fc4f05;padding: 1px 3px;}
		.item .pay{display: inline-block;}
		.item .rmb{font-size: 10px;color:#fb5b1d;}
		.item .price{color:#fb5b1d;font-size: 14px;font-weight:600;}
		.preview{display: none;position:absolute;top:90px;z-index: 999999}
	</style>
	</head>
	<body>
		<div class="banner">
			<ul>
				<li>
					<?php   
					 for($i=0;$i<count($list);$i++){
					 ?>
					<a class="item" href="<?php echo $list[$i]['couponLink']?>" target="_blank">
						<img src="<?php echo $list[$i]["mainPic"];?>_90x90q100.jpg_.webp" />
						<div class="info">
							<div class="title"><span class="free">包邮</span><?php echo $list[$i]["dtitle"];?></div>
							<div class="sale">现价 ¥ <del><?php echo $list[$i]["originalPrice"];?></del></div>
							<div class="coupon">
								<div class="coupon_border"><span class="coupon_text">券</span><span class="coupon_amount"><?php echo $list[$i]["couponPrice"];?>元</span></div>
								<div class="pay">券后价 <span class="rmb">¥</span><span class="price"><?php echo ($list[$i]["originalPrice"]-$list[$i]["couponPrice"]);?></span></div>
							</div>
						</div>
					</a>
					<?php
						if (($i+1)%3 == 0){
							echo "</li><li>";
						}
					}
					?>
				</li>
				 
			</ul>
		</div>
		<img src="" class="preview"/>
	</body>
	<script>
		$('.banner').unslider({
			pause:true,
			autoplay: true,
			arrows: false,
			nav: false,
			speed: 600, //  The speed to animate each slide (in milliseconds)
			delay: 2500, //  The delay between slide animations (in milliseconds)	
			dots: false
		});
		$('.item').hover(function() {
            var item_img = $(this).find("img").attr("src").replace("_90x90q100.jpg_.webp","_600x600q100.jpg_.webp");
            //$('.preview').attr("src",item_img).css("display","block");
            $(".preview",parent.document).attr("src",item_img).css("display","block");
        }, function() {
            $(".preview",parent.document).css("display","none");
        });
	</script>
</html>